__all__ = [
 "vwAppConfigParam" ,
 "loadvw3000param"
 ]
if 82 - 82: Iii1i
import configparser
if 87 - 87: Ii % i1i1i1111I . Oo / OooOoo * I1Ii1I1 - I1I
if 81 - 81: i1 + ooOOO / oOo0O00 * i1iiIII111 * IiIIii11Ii
# from datetime import datetime
class vwAppConfigParam :
 server1001_ip = '127.0.0.1'
 server1001_webport = 61080
 uploadpri_timeout_second = 10
 if 84 - 84: ooo000 - Ooo0Ooo + iI1iII1I1I1i . IIiIIiIi11I1
 if 98 - 98: I11iiIi11i1I % oOO
 wgwsserver1001 = "ws://127.0.0.1:61081/"
 bmysql = False
 if 31 - 31: i1I
 if 9 - 9: IiI11Ii111 / oOo0O00 / IiIIii11Ii - I11iiIi11i1I - iI1iII1I1I1i
 allowprint = False
 dtLast = 0
 bPrivilegeNumOver10w = False
 if 16 - 16: i1i1i1111I / i1iiIII111
 extfunc5678_timeprofile = 0
 extfunc5678_photo = 1
 if 3 - 3: i1 % i1 % i1i1i1111I . Ii * i1
 extfunc5678_forceopenWarn = 0
 if 9 - 9: i1iiIII111
 extfunc5678_hiderecordOfDoorstatusPowerOff = 1
 if 10 - 10: ooOOO / IIiIIiIi11I1 * oOO / i1I / i1I
 extfunc5678_RealtimeGetSwipe = 1
 if 61 - 61: Ooo0Ooo - I1I
 if 13 - 13: Ooo0Ooo
 extfunc5678_Meal = 0
 extfunc5678_multi_card = 0
 extfunc5678_multi_card_group_active = 0
 extfunc5678_record_doorstatus_pb = 0
 extfunc5678_fire_warn = 0
 extfunc5678_inter_lock = 0
 extfunc5678_anti_back = 0
 extfunc5678_one_key = 0
 extfunc5678_queryswipe_byusername = 1
 extfunc5678_queryswipe_byusername_name = None
 extfunc5678_tasklist = 0
 extfunc5678_elevator = 0
 extfunc5678_console_displayMoreLog = 0
 extfunc5678_console_location_query = 0
 if 46 - 46: iI1iII1I1I1i - Ii * Oo * Ii
 if 52 - 52: Oo + I1I / oOO / OooOoo - I1Ii1I1 - ooOOO
 if 60 - 60: iI1iII1I1I1i . oOO
 if 13 - 13: oOO
 sql_in_batch_size = 0x7000
 extfunc5678_develop_mode = 0
 if 2 - 2: i1
 dataserverPort = 61005
 if 22 - 22: IIiIIiIi11I1 - ooo000 / I1Ii1I1 . ooo000
 if 1 - 1: iI1iII1I1I1i + Ooo0Ooo + oOO * IIiIIiIi11I1
 if 20 - 20: I1I + Ii
 if 75 - 75: Ii % i1iiIII111 * Ii . IIiIIiIi11I1 % I11iiIi11i1I % I1Ii1I1
 ver = "Vw3000 v9.26  2024-05-21"
 if 8 - 8: I1Ii1I1 . IiI11Ii111 . i1 . Oo - i1I
 if 32 - 32: Ii % i1i1i1111I % i1I - I11iiIi11i1I % i1iiIII111
 application = None
 bkrunning = 0
 if 34 - 34: i1iiIII111 * i1
 usercardChangeTime = 0
 controllerdoorChangeTime = 0
 if 34 - 34: oOo0O00 / i1iiIII111 - Iii1i . iI1iII1I1I1i
 if 80 - 80: i1i1i1111I . I1I % ooOOO % IiIIii11Ii / i1i1i1111I
 wgcloudpathdir = ""
 wgcloudpath1001configfileName = "wgconfig.ini"
 wgcloudpath1001vw_logName = "vw_log.log"
 wglogmaxBytes = 30 * 1024 * 1024
 wgcloudphotodir = ""
 if 32 - 32: I1Ii1I1 + oOO - oOo0O00
 extfunc5678_face = 1
 if 79 - 79: Iii1i % oOO * Oo + ooOOO / Oo . oOO
 if 20 - 20: IiI11Ii111 + i1iiIII111 / I1I
 if 88 - 88: I11iiIi11i1I + ooOOO - i1i1i1111I . Ooo0Ooo * Ii + Iii1i
 bSupportSqlite3 = True
 bSingleBoardPC = False
 SingleBoardPCNameList = [ "NanoPi-R2S" , "luckfox" ]
 if 43 - 43: ooOOO * I1Ii1I1
 nexttimeClearAllFaceLog = 0
 if 95 - 95: Ooo0Ooo % Iii1i % i1i1i1111I . OooOoo
 if 70 - 70: IiIIii11Ii
def loadvw3000param ( ) :
 if 75 - 75: Ooo0Ooo / Ii / IiIIii11Ii + IiIIii11Ii . I1I
 if 1 > 0 :
  if 88 - 88: Oo * IiIIii11Ii
  vwAppConfigParam . extfunc5678_RealtimeGetSwipe = 1
  vwAppConfigParam . extfunc5678_queryswipe_byusername = 1
  vwAppConfigParam . extfunc5678_photo = 1
  vwAppConfigParam . extfunc5678_hiderecordOfDoorstatusPowerOff = 1
  if 100 - 100: IiI11Ii111 - OooOoo * I1Ii1I1 / Ooo0Ooo / Iii1i
  vwAppConfigParam . extfunc5678_Meal = 0
  vwAppConfigParam . extfunc5678_multi_card = 0
  vwAppConfigParam . extfunc5678_multi_card_group_active = 0
  vwAppConfigParam . extfunc5678_record_doorstatus_pb = 0
  vwAppConfigParam . extfunc5678_fire_warn = 0
  vwAppConfigParam . extfunc5678_inter_lock = 0
  vwAppConfigParam . extfunc5678_anti_back = 0
  vwAppConfigParam . extfunc5678_one_key = 0
  vwAppConfigParam . extfunc5678_queryswipe_byusername_name = None
  vwAppConfigParam . extfunc5678_tasklist = 0
  vwAppConfigParam . extfunc5678_elevator = 0
  vwAppConfigParam . extfunc5678_console_displayMoreLog = 0
  vwAppConfigParam . extfunc5678_console_location_query = 0
  vwAppConfigParam . extfunc5678_timeprofile = 0
  vwAppConfigParam . extfunc5678_forceopenWarn = 0
  if 23 - 23: Ooo0Ooo + i1 * I1Ii1I1 + Oo * Ii - IIiIIiIi11I1
  vwAppConfigParam . extfunc5678_develop_mode = 0
  if 29 - 29: IiIIii11Ii - oOo0O00
 i1IIiII11 = configparser . ConfigParser ( allow_no_value = True )
 i1IIiII11 . read ( vwAppConfigParam . wgcloudpath1001configfileName , encoding = "utf-8-sig" )
 if i1IIiII11 . has_section ( 'wgconf' ) :
  if 52 - 52: i1iiIII111 % Oo . I1Ii1I1 + ooOOO % Oo . IiI11Ii111
  if 56 - 56: i1iiIII111 * IiI11Ii111 - I11iiIi11i1I
  if 15 - 15: I1I % Ii + Ooo0Ooo * Iii1i
  if 67 - 67: I1I * Ooo0Ooo + i1iiIII111 . i1iiIII111 % Oo
  if 93 - 93: oOo0O00 % Ooo0Ooo * i1iiIII111
  if 52 - 52: oOO + I1I / ooo000 - I1Ii1I1 * i1I % oOo0O00
  if 52 - 52: oOo0O00 . I1I + i1I - i1iiIII111 % iI1iII1I1I1i
  if 57 - 57: I1I * IIiIIiIi11I1 % I1Ii1I1 * i1i1i1111I
  if 37 - 37: IiI11Ii111 * i1i1i1111I + oOo0O00 / I1I / OooOoo
  if 4 - 4: i1
  if 61 - 61: iI1iII1I1I1i . i1I - ooo000 / ooo000 - i1
  if 19 - 19: Iii1i * Ooo0Ooo . I1Ii1I1 / I11iiIi11i1I * Ii - oOO
  if 32 - 32: iI1iII1I1I1i
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_RealtimeGetSwipe' ) :
   if 18 - 18: I11iiIi11i1I * IiI11Ii111 % iI1iII1I1I1i + IiI11Ii111
   vwAppConfigParam . extfunc5678_RealtimeGetSwipe = int (
 i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_RealtimeGetSwipe' ] )
   if 93 - 93: oOO - I1Ii1I1 - IIiIIiIi11I1 * ooOOO - i1
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_timeprofile' ) :
   if 82 - 82: IIiIIiIi11I1 % i1 * ooOOO
   vwAppConfigParam . extfunc5678_timeprofile = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_timeprofile' ] )
   if 57 - 57: oOo0O00
  if i1IIiII11 . has_option ( 'wgconf' , 'cloudserverPort' ) :
   vwAppConfigParam . dataserverPort = int ( i1IIiII11 [ 'wgconf' ] [ 'cloudserverPort' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'device_face' ) :
   II1iiii = int ( i1IIiII11 [ 'wgconf' ] [ 'device_face' ] )
   if II1iiii == 1 :
    vwAppConfigParam . extfunc5678_photo = 1
    vwAppConfigParam . extfunc5678_face = 1
   if II1iiii == 0 :
    vwAppConfigParam . extfunc5678_face = 0
    if 50 - 50: I1I / Ooo0Ooo . i1iiIII111 - iI1iII1I1I1i % Ii - I1I
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_Meal' ) :
   vwAppConfigParam . extfunc5678_Meal = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_Meal' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_multi_card' ) :
   vwAppConfigParam . extfunc5678_multi_card = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_multi_card' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_record_doorstatus_pb' ) :
   vwAppConfigParam . extfunc5678_record_doorstatus_pb = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_record_doorstatus_pb' ] )
   if 54 - 54: Iii1i % ooo000 % Iii1i - IiIIii11Ii
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_fire_warn' ) :
   vwAppConfigParam . extfunc5678_fire_warn = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_fire_warn' ] )
   if 39 - 39: oOO - oOO * i1 % IIiIIiIi11I1
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_inter_lock' ) :
   vwAppConfigParam . extfunc5678_inter_lock = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_inter_lock' ] )
   if 29 - 29: IIiIIiIi11I1 - ooo000 . i1iiIII111
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_anti_back' ) :
   vwAppConfigParam . extfunc5678_anti_back = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_anti_back' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_one_key' ) :
   vwAppConfigParam . extfunc5678_one_key = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_one_key' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_tasklist' ) :
   vwAppConfigParam . extfunc5678_tasklist = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_tasklist' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_elevator' ) :
   vwAppConfigParam . extfunc5678_elevator = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_elevator' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_console_displayMoreLog' ) :
   vwAppConfigParam . extfunc5678_console_displayMoreLog = int (
 i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_console_displayMoreLog' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_console_location_query' ) :
   vwAppConfigParam . extfunc5678_console_location_query = int (
 i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_console_location_query' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'extfunc5678_develop_mode' ) :
   vwAppConfigParam . extfunc5678_develop_mode = int ( i1IIiII11 [ 'wgconf' ] [ 'extfunc5678_develop_mode' ] )
  if i1IIiII11 . has_option ( 'wgconf' , 'server1001_ip' ) :
   vwAppConfigParam . server1001_ip = ( i1IIiII11 [ 'wgconf' ] [ 'server1001_ip' ] )
# dd678faae9ac167bc83abf78e5cb2f3f0688d3a3
